#ifndef LBXIMG_H_
#define LBXIMG_H_

#include <stdio.h>

typedef struct lbx_image LBXIMG;

struct lbx_colour {
	unsigned char red;
	unsigned char green;
	unsigned char blue;
};

LBXIMG *lbximg_fopen(FILE *f);
void    lbximg_close(LBXIMG *img);
unsigned char **lbximg_getframe(LBXIMG *img, int frame);

int lbximg_loadpalette(FILE *f, struct lbx_colour palette[static 256]);
int lbximg_getpalette(LBXIMG *img, struct lbx_colour palette[static 256]);

#endif
