#ifndef LBX_MISC_H_
#define LBX_MISC_H_

#include <stdio.h>

#define MIN(a,b) (((a)<(b))?(a):(b))
#define MAX(a,b) (((a)>(b))?(a):(b))

/** _lbx_fseek()
 * Seeks the specified file to the specified offset, given that the file is
 * currently positioned at *current.  If the file does not support seeking,
 * and offset > *current, perform the seek by reading (and discarding) data.
 */
int _lbx_fseek(FILE *f, long *current, size_t offset);

#endif
